Bug 1813503 - Dockerfile not compatible with docker and buildah
Summary: Dockerfile not compatible with docker and buildah
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node Feature Discovery Operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Carlos Eduardo Arango Gutierrez
QA Contact: Walid A.
URL:
Whiteboard:
Depends On:
Blocks: 1862486
TreeView+ depends on / blocked
 
Reported: 2020-03-14 04:32 UTC by Ben Parees
Modified: 2020-10-27 15:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1862486 (view as bug list)
Environment:
Last Closed: 2020-10-27 15:57:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-nfd-operator pull 94 0 None closed Bug 1813503: [master] Dockerfile not compatible with docker and… 2020-10-06 17:44:28 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 15:57:20 UTC

Comment 1 Stephen Cuppett 2020-06-10 11:35:53 UTC
This is not a showstopper for OCP 4.5.0. Setting target release to 4.6.0 (active development branch). For fixes (if any) required/requested on earlier versions of OCP, please create clones targeting 4.5.z and earlier z-stream releases when appropriate.

Comment 2 Carlos Eduardo Arango Gutierrez 2020-07-13 16:46:18 UTC
Just confirm
the fix will be to replace https://github.com/openshift/cluster-nfd-operator/blob/master/Dockerfile.rhel7#L10 

COPY assets/* /opt/nfd/.

to

COPY assets /opt/nfd

removing the global copy?

Comment 3 Ben Parees 2020-07-13 17:19:06 UTC
yes that should work.

Comment 4 Carlos Eduardo Arango Gutierrez 2020-07-29 16:38:27 UTC
https://github.com/openshift/cluster-nfd-operator/pull/94 is ready for review to move this BZ forward

Comment 5 Carlos Eduardo Arango Gutierrez 2020-07-29 18:20:26 UTC
PR has been merged, this BZ can now go into verification stage

Comment 8 Carlos Eduardo Arango Gutierrez 2020-09-08 11:55:26 UTC
I need this BZ to move from ON_QA to trigger the cherry pick bot for the other releases

Comment 9 Ben Parees 2020-09-08 12:06:21 UTC
I think this can be verified based on https://github.com/openshift/cluster-nfd-operator/pull/94

Comment 11 errata-xmlrpc 2020-10-27 15:57:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.